Subject: bug#24503: unstable test results (on hydra)

From: Noam Postavsky <[email-masked]>
Date: Tue, 09 Jan 2018 23:21:02 -0500

Noam Postavsky <[email-masked]> writes:

> Hmm, I can't see any reason for these tests to fail in a
> non-deterministic way.  This sounds like it could be a serious bug.  And
> if happens on machines other than the Hydra ones, the bug is almost
> certainly in Emacs.  I think we need to add some logging statements to
> figure out what is going.  I will try to figure how to do that.

I didn't see any failures since I added tracing code [1: cfa50d30f2],
probably the tracing itself changed something which somehow prevents the
bug from triggering.

[1: cfa50d30f2]: 2017-12-03 15:39:02 -0500
  ; Tracing for eieio-test random failure (Bug#24503)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=cfa50d30f2876ca30158082e9a91d19e804a7e09